%global rolename hosted_engine_setup
%global roleprefix ovirt.
%global legacy_roleprefix oVirt.
%global legacy_rolename hosted-engine-setup
%global ansible_roles_dir ansible/roles

Name: ovirt-ansible-hosted-engine-setup
Summary: Ansible role to install required packages for oVirt Engine deployment, generate answerfile and run engine-setup with it.
Version: 1.1.5
Release: 1%{?release_suffix}%{?dist}
Source0: http://resources.ovirt.org/pub/src/%{name}/%{name}-%{version}.tar.gz
License: ASL 2.0
Group:          Virtualization/Management
BuildArch:      noarch
Url:            http://www.ovirt.org

Requires: ansible >= 2.7
%if 0%{?fedora} >= 30 || 0%{?rhel} >= 8
Requires: python3-netaddr
Requires: python3-jmespath
Requires: python3-passlib
%else
Requires: python-netaddr
Requires: python-jmespath
Requires: python-passlib
%endif
Requires: ovirt-ansible-engine-setup >= 1.1.5

%description
This Ansible role installs required packages for oVirt Hosted-Engine deployment.

%pretrans -p <lua>
-- Remove the legacy directory before installing the symlink. This is known issue in RPM:
-- https://fedoraproject.org/wiki/Packaging:Directory_Replacement
rolename_legacy = "%{_datadir}/%{ansible_roles_dir}/%{roleprefix}%{legacy_rolename}"
rolename_legacy_uppercase="%{_datadir}/%{ansible_roles_dir}/%{legacy_roleprefix}%{legacy_rolename}"

st1 = posix.stat(rolename_legacy)
if st1 and st1.type == "directory" then
  os.execute('rm -rf "'..rolename_legacy..'"')
end

st2 = posix.stat(rolename_legacy_uppercase)
if st2 and st2.type == "directory" then
  os.execute('rm -rf "'..rolename_legacy_uppercase..'"')
end

%prep
%setup -c -q

%build

%install
export PKG_DATA_DIR_ORIG=%{_datadir}/%{ansible_roles_dir}/%{roleprefix}%{rolename}
export PKG_DATA_DIR=%{buildroot}$PKG_DATA_DIR_ORIG
export PKG_DOC_DIR=%{buildroot}%{_pkgdocdir}
export ROLENAME_LEGACY=%{buildroot}%{_datadir}/%{ansible_roles_dir}/%{roleprefix}%{legacy_rolename}
export ROLENAME_LEGACY_UPPERCASE=%{buildroot}%{_datadir}/%{ansible_roles_dir}/%{legacy_roleprefix}%{legacy_rolename}
sh build.sh install

%files
%{_datadir}/%{ansible_roles_dir}/%{roleprefix}%{rolename}
%{_datadir}/%{ansible_roles_dir}/%{legacy_roleprefix}%{legacy_rolename}
%{_datadir}/%{ansible_roles_dir}/%{roleprefix}%{legacy_rolename}

# Turn off the brp-python-bytecompile for python2 and python2
%define __os_install_post %{___build_post}

%doc README.md
%doc examples/

%license LICENSE

%changelog
* Tue Jun 30 2020 Asaf Rachmani <arachman@redhat.com> - 1.1.5-1
- Rebase on upstream 1.1.5

* Wed May 13 2020 Asaf Rachmani <arachman@redhat.com> - 1.1.4-1
- Rebase on upstream 1.1.4

* Mon May 04 2020 Asaf Rachmani <arachman@redhat.com> - 1.1.3-1
- Rebase on upstream 1.1.3

* Tue Apr 07 2020 Nir Levy <nlevy@redhat.com> - 1.1.2-1
- Rebase on upstream 1.1.2

* Thu Mar 26 2020 Sandro Bonazzola <sbonazzo@redhat.com> - 1.1.1-1
- Rebase on upstream 1.1.1

* Mon Mar 09 2020 Sandro Bonazzola <sbonazzo@redhat.com> - 1.1.0-1
- Rebase on upstream 1.1.0

* Fri Feb 21 2020 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0.35-1
- Rebase on upstream 1.0.35

* Fri Nov 29 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.34-1
- Rebase on upstream 1.0.34

* Fri Nov 22 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.33-1
- Rebase on upstream 1.0.33

* Thu Nov 14 2019 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0.32-1
- Rebase on upstream 1.0.32

* Mon Nov 04 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.31-1
- 1.0.31-1
- Rebase on upstream 1.0.31-1

* Thu Oct 31 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.30-1
- 1.0.30-1
- Rebase on upstream 1.0.30-1

* Wed Sep 18 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.29-1
- 1.0.29-1
- Rebase on upstream 1.0.29-1

* Wed Sep 04 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.28-1
- 1.0.28-1
- Rebase on upstream 1.0.28-1

* Thu Aug 22 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.27-1
- 1.0.27-1
- Rebase on upstream 1.0.27-1

* Thu Aug 01 2019 Ido Rosenzwig <irosenzw@redhat.com> - 1.0.26-1
- 1.0.26-1
- Rebase on upstream 1.0.26-1

* Wed Jul 24 2019 Ido Rosenzwig <irosenzw@redhat.com> - 1.0.24-3
- 1.0.24-3
- Rebase on upstream 1.0.24-3

* Tue Jul 23 2019 Ido Rosenzwig <irosenzw@redhat.com> - 1.0.24-2
- 1.0.24-2
- Rebase on upstream 1.0.24-2

* Tue Jul 23 2019 Ido Rosenzwig <irosenzw@redhat.com> - 1.0.24-1
- 1.0.24-1
- Rebase on upstream 1.0.24-1

* Tue Jul 02 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.23-1
- 1.0.23-1
- Rebase on upstream 1.0.23-1

* Tue Jun 25 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.22-1
- 1.0.22-1
- Rebase on upstream 1.0.22-1

* Tue Jun 11 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.21-1
- 1.0.21-1
- Rebase on upstream 1.0.21-1

* Tue May 28 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.20-1
- 1.0.20-1
- Rebase on upstream 1.0.20-1

* Tue May 21 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.19-1
- 1.0.19-1
- Rebase on upstream 1.0.19-1

* Wed May 15 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.18-1
- 1.0.18-1
- Rebase on upstream 1.0.18-1

* Wed Apr 17 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.17-1
- 1.0.17-1
- Rebase on upstream 1.0.17-1

* Mon Apr 08 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.16-1
- 1.0.16-1
- Rebase on upstream 1.0.16-1

* Wed Apr 03 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.15-1
- 1.0.15-1
- Rebase on upstream 1.0.15-1

* Tue Mar 26 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.14-1
- 1.0.14-1
- Rebase on upstream 1.0.14-1

* Tue Mar 12 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.13-1
- 1.0.13-1
- Rebase on upstream 1.0.13-1

* Mon Mar 04 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.12-1
- 1.0.12-1
- Rebase on upstream 1.0.12-1

* Mon Feb 18 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.11-1
- 1.0.11-1
- Rebase on upstream 1.0.11-1

* Tue Jan 29 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.8-1
- 1.0.8-1
- Rebase on upstream 1.0.8-1

* Tue Jan 22 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.7-1
- 1.0.7-1
- Rebase on upstream 1.0.7-1

* Sun Jan 13 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.5-1
- 1.0.5-1
- Rebase on upstream 1.0.5-1

* Wed Jan 09 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.4-1
- 1.0.4-1
- Rebase on upstream 1.0.4-1

* Tue Oct 16 2018 Simone Tiraboschi <stirabos@redhat.com> - 1.0.2-1
- Initial release
